local Locales = {
	["Slavemaster Drokk"] = {
		[1] = "Slavemaster Drokk",
		[2] = "Sklavenmeister Drokk",
		[3] = "Maître d'esclaves Drokk",
	},
}

local function RKVDrokk(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Slavemaster Drokk"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseDrokk(phase)

end

local function StartDrokk()

end

local encounteroptions = {
	enabled = true,
	position = 3,
	zone = "Ruins of Kel Voreth",
	fBossFunction = RKVDrokk,
	fPhaseFunction = PhaseDrokk,
	fOnStartCombat = StartDrokk,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Slavemaster Drokk"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end