local Locales = {
	["Ondu Lifeweaver"] = {
		[1] = "Ondu Lifeweaver",
		[2] = "Ondu Lebensflechter",
		[3] = "Ondu Tisse-âme",
	},
}

local function SOTSOndu(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Ondu Lifeweaver"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseOndu(phase)

end

local function StartOndu()

end

local encounteroptions = {
	enabled = true,
	position = 3,
	zone = "Sanctuary of the Swordmaiden",
	fBossFunction = SOTSOndu,
	fPhaseFunction = PhaseOndu,
	fOnStartCombat = StartOndu,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Ondu Lifeweaver"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end