local Locales = {
	["Deadringer Shallaos"] = {
		[1] = "Deadringer Shallaos",
		[2] = "Doppelgängerin Shallaos",
		[3] = "Sosie Shallaos",
	},
}

local function SOTSShallaos(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Deadringer Shallaos"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseShallaos(phase)

end

local function StartShallaos()

end

local encounteroptions = {
	enabled = true,
	position = 1,
	zone = "Sanctuary of the Swordmaiden",
	fBossFunction = SOTSShallaos,
	fPhaseFunction = PhaseShallaos,
	fOnStartCombat = StartShallaos,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Deadringer Shallaos"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end