local Locales = {
	["Forgemaster Trogun"] = {
		[1] = "Forgemaster Trogun",
		[2] = "Schmiedemeister Trogun",
		[3] = "Maître-forgeron Trogun",
	},
}

local function RKVTrogun(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Forgemaster Trogun"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseTrogun(phase)

end

local function StartTrogun()

end

local encounteroptions = {
	enabled = true,
	position = 4,
	zone = "Ruins of Kel Voreth",
	fBossFunction = RKVTrogun,
	fPhaseFunction = nil,
	fOnStartCombat = nil,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Forgemaster Trogun"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end