local Locales = {
	["Mordechai Redmoon"] = {
		[1] = "Mordechai Redmoon",
		[2] = "Mordechai Rotmond",
		[3] = "Mordechai Rougelune",
	},
}

local function SCMordechai(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Mordechai Redmoon"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseMordechai(phase)

end

local function StartMordechai()

end

local encounteroptions = {
	enabled = true,
	position = 4,
	zone = "Skullcano Island",
	fBossFunction = SCMordechai,
	fPhaseFunction = PhaseMordechai,
	fOnStartCombat = StartMordechai,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Mordechai Redmoon"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end