local Locales = {
	["Bosun Octog"] = {
		[1] = "Bosun Octog",
		[2] = "Deckoffizier Octog",
		[3] = "Bosco Octog",
	},
}

local function SCOctog(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Bosun Octog"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseOctog(phase)

end

local function StartOctog()

end

local encounteroptions = {
	enabled = true,
	position = 3,
	zone = "Skullcano Island",
	fBossFunction = SCOctog,
	fPhaseFunction = PhaseOctog,
	fOnStartCombat = StartOctog,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Bosun Octog"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end