local Locales = {
	["Thunderfoot"] = {
		[1] = "Thunderfoot",
		[2] = "Donnerhuf",
		[3] = "Fulguropied",
	},
}

local function SCThunderfoot(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Thunderfoot"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseThunderfoot(phase)

end

local function StartThunderfoot()

end

local encounteroptions = {
	enabled = true,
	position = 2,
	zone = "Skullcano Island",
	fBossFunction = SCThunderfoot,
	fPhaseFunction = PhaseThunderfoot,
	fOnStartCombat = StartThunderfoot,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Thunderfoot"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end