local Locales = {
	["Rayna Darkspeaker"] = {
		[1] = "Rayna Darkspeaker",
		[2] = "Rayna Düsterbotin",
		[3] = "Rayna Languenoire",
	},
}

local function SOTSRayna(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Rayna Darkspeaker"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseRayna(phase)

end

local function StartRayna()

end

local encounteroptions = {
	enabled = true,
	position = 2,
	zone = "Sanctuary of the Swordmaiden",
	fBossFunction = SOTSRayna,
	fPhaseFunction = PhaseRayna,
	fOnStartCombat = StartRayna,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Rayna Darkspeaker"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end