local Locales = {
	["Moldwood Overlord Skash"] = {
		[1] = "Moldwood Overlord Skash",
		[2] = "Moderwald-Overlord Skash",
		[3] = "Seigneur de Putrebois Skash",
	},
}

local function SOTSSkash(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Moldwood Overlord Skash"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseSkash(phase)

end

local function StartSkash()

end

local encounteroptions = {
	enabled = true,
	position = 4,
	zone = "Sanctuary of the Swordmaiden",
	fBossFunction = SOTSSkash,
	fPhaseFunction = PhaseSkash,
	fOnStartCombat = StartSkash,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Moldwood Overlord Skash"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end