local Locales = {
	["Stormtalon"] = {
		[1] = "Stormtalon",
		[2] = "Sturmklaue",
		[3] = "Ouragriffe",
	},
}

local function STLStormtalon(tUnits)
	local currTime = GameLib.GetGameTime()
	for unitid, unitdata in pairs(tUnits) do
		local unitname = unitdata.unit:GetName()
		if unitname == Raiderino.L["Stormtalon"] then
			local castname = Raiderino:GetCast(unitid,unitdata.unit)
			if castname then
				if castname == "TEMP" then

				else
					Raiderino:UntimedCastAdd(unitname,castname)
				end
			end
		end
	end
end

local function PhaseStormtalon(phase)

end

local function StartStormtalon()

end

local encounteroptions = {
	enabled = true,
	position = 3,
	zone = "Stormtalon's Lair",
	fBossFunction = STLStormtalon,
	fPhaseFunction = PhaseStormtalon,
	fOnStartCombat = StartStormtalon,
	features = {},
}

if _G["RaiderinoLibs"] == nil then
	_G["RaiderinoLibs"] = { }
end
if _G["RaiderinoLibs"]["Encounters"] == nil then
	_G["RaiderinoLibs"]["Encounters"] = { }
end

_G["RaiderinoLibs"]["Encounters"]["Stormtalon"] = encounteroptions

if _G["RaiderinoLibs"]["Locales"] == nil then
	_G["RaiderinoLibs"]["Locales"] = { }
end
for locale, localedata in pairs(Locales) do
	if not RaiderinoLibs.Locales[locale] then
		RaiderinoLibs.Locales[locale] = {}
		for i,localestring in pairs(localedata) do
			RaiderinoLibs.Locales[locale][i] = localestring
		end
	end
end